Skip to content

upsertItemSupersession

DESTRUCTIVE

Upsert item supersession.

POST /api/v1/items/upsertItemSupersession
curl -X POST '<your-host>/api/v1/items/upsertItemSupersession' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string"
  }'

Parameters

ParameterType
min length 1
> 0
min 0
"Consume First""Prefer New""Stock Only""No Stock"

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "supersessionMode": {
      "type": "string",
      "enum": [
        "Consume First",
        "Prefer New",
        "Stock Only",
        "No Stock"
      ]
    },
    "successorItemId": {
      "type": "string"
    },
    "discontinuationDate": {
      "type": "string"
    },
    "successorEffectivityDate": {
      "type": "string"
    },
    "conversionFactor": {
      "type": "number",
      "exclusiveMinimum": 0
    },
    "locationId": {
      "type": "string"
    },
    "minimumReserveQuantity": {
      "type": "number",
      "minimum": 0
    }
  },
  "required": [
    "itemId"
  ]
}